export type databaseNames = 'users' | 'chat';
export type possibleDBKeys = string;

export interface databaseConf<props> {
  filePath: string;
  version: number;
  migration?: any;
  details: {
    name: databaseNames;
    properties: props;
    primaryKey: string;
  };
}
